"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EApplicationExceptionCode = void 0;
var EApplicationExceptionCode;
(function (EApplicationExceptionCode) {
    EApplicationExceptionCode["CONFIGURATION_NOT_FOUND"] = "404_C";
    EApplicationExceptionCode["CONFIGURATION_NOT_VALID_JSON"] = "400_C_NVJ";
    EApplicationExceptionCode["DB_DATA_NOT_FOUND"] = "404_DB_NF";
    EApplicationExceptionCode["DB_REPOSITORY_FACTORY_MODEL_NOT_FOUND"] = "404_DB_RFNF";
    EApplicationExceptionCode["LDAP_COMMON_ERROR"] = "400_LDAP_CE";
    EApplicationExceptionCode["TICKET_CREATION_COMMON_ERROR"] = "400_TC_CE";
    EApplicationExceptionCode["API_RESPONSE_NOT_FOUND"] = "404_AR";
    EApplicationExceptionCode["API_RESPONSE_BAD_REQUEST"] = "400_AR_BR";
    EApplicationExceptionCode["API_RESPONSE_INTERNAL_SERVER_ERROR"] = "500_AR_ISE";
    EApplicationExceptionCode["API_RESPONSE_UNKNOWN"] = "AR_UK";
    EApplicationExceptionCode["DTO_NOT_VALID"] = "400_DTO_NV";
    EApplicationExceptionCode["JWT_REFRESH_UPDATE_FAILED"] = "400_JWT_UF";
    EApplicationExceptionCode["JWT_REFRESH_INSERT_FAILED"] = "400_JWT_IF";
})(EApplicationExceptionCode || (exports.EApplicationExceptionCode = EApplicationExceptionCode = {}));
