import { IOdataPresenter } from './odata.presenter';
import { IBaseDbPresenter } from './base-db.presenter';
export interface IApiResponse<TDto extends IBaseDbPresenter | unknown> {
    status: number;
    messages?: string[];
    data?: TDto | TDto[] | IOdataPresenter<TDto>;
}
export interface IApiErrorResponse {
    status: number;
    messages: string[] | undefined;
}
//# sourceMappingURL=api-response.interface.d.ts.map