export declare enum EApplicationExceptionCode {
    CONFIGURATION_NOT_FOUND = "404_C",
    CONFIGURATION_NOT_VALID_JSON = "400_C_NVJ",
    DB_DATA_NOT_FOUND = "404_DB_NF",
    DB_REPOSITORY_FACTORY_MODEL_NOT_FOUND = "404_DB_RFNF",
    LDAP_COMMON_ERROR = "400_LDAP_CE",
    TICKET_CREATION_COMMON_ERROR = "400_TC_CE",
    API_RESPONSE_NOT_FOUND = "404_AR",
    API_RESPONSE_BAD_REQUEST = "400_AR_BR",
    API_RESPONSE_INTERNAL_SERVER_ERROR = "500_AR_ISE",
    API_RESPONSE_UNKNOWN = "AR_UK",
    DTO_NOT_VALID = "400_DTO_NV",
    JWT_REFRESH_UPDATE_FAILED = "400_JWT_UF",
    JWT_REFRESH_INSERT_FAILED = "400_JWT_IF"
}
//# sourceMappingURL=application-exception-code.enum.d.ts.map