"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModelValidationException = void 0;
const base_application_exception_1 = require("./base-application.exception");
class ModelValidationException extends base_application_exception_1.BaseApplicationException {
    constructor(errors) {
        super(errors.map((error) => error.toString(true)).join(', '));
    }
}
exports.ModelValidationException = ModelValidationException;
