"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = safeAwait;
async function safeAwait(promise) {
    try {
        const result = await promise;
        return [null, result];
    }
    catch (error) {
        return [error, null];
    }
}
