import { IBaseDbPresenter } from './base-db.presenter';
export interface IOdataResponsePaginationPresenter {
    totalPages: number;
    pageSize: number;
    totalElements: number;
    page: number;
    isFirstPage: boolean;
    isLastPage: boolean;
}
export interface IOdataPresenter<TDbDto extends IBaseDbPresenter | unknown> {
    items: TDbDto[];
    pagination: IOdataResponsePaginationPresenter;
}
//# sourceMappingURL=odata.presenter.d.ts.map